<?php 
/* The Template for displaying all single posts */
global $mottomag_general_settings_page,$post;
foreach ($mottomag_general_settings_page->options_generalsettings as $value) {
    if (isset($value['var_name'])) { $$value['var_name'] = $value['std']; } 
}
get_header(); 
mottomag_update_page_layout_meta_settings(); ?>
<div class="container">
	<?php if ( is_active_sidebar( 'sidebar-1' ) ) { ?>
		<aside id="sidebar1">
			<div class="sidebar-container">
				<?php  dynamic_sidebar( 'sidebar-1' ); 	?>	
				<div class="clear"></div>
			</div>
		</aside>
    <?php }?>
	<div id="content">
	   <div id="main-content">       
		<?php if(have_posts()) : 
         		while(have_posts()) : the_post(); ?>		
					<div class="single-post">
					<?php  $url = wp_get_attachment_url( get_post_thumbnail_id() );	?>
					<h2 class="border-style"><?php the_title(); ?></h2>
					
					<?php	if ( has_post_thumbnail() && $url ) { ?>
						  <div class="post-thumbnail-div">
							  <div class="post-thumbnail" style="background-image:url(<?php echo $url;?>);">
							  </div>
						  </div> 
					   <?php } ?>							
						<div class="entry page-content">	
							<?php  the_content(); ?>
						</div>
						<?php if($date_enable){ ?>
						<div class="entry-meta">
							  <?php mottomag_posted_on_single(); ?>
						</div>
			            <?php mottomag_entry_meta_cat(); }
						wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Page', 'mottomag' ) . '</span>', 'after' => '</div>', 'link_before' => '<span class="page-links-number">', 'link_after' => '</span>' ) ); 
						mottomag_post_nav(); ?>
						<div class="clear"></div>
					    <?php   wp_reset_query();
							  if(comments_open() || get_comments_number() )
							  { ?>
									<div class="comments-template">
										<?php comments_template();	?>
									</div>
							<?php }	 ?>
					</div>
        <?php endwhile; ?>
   <?php endif;   ?>
       </div>
		<?php if ( is_active_sidebar( 'sidebar-2' ) ) { ?>
			<aside id="sidebar2">
				<div class="sidebar-container">
				  <?php  dynamic_sidebar( 'sidebar-2' ); 	?>
				  <div class="clear"></div>
				</div>
			</aside>
		<?php } ?>
    </div>
</div>
<?php get_footer(); ?>